%global momorel 5
%define __libtoolize :
Summary:   Perl-Compatible Regular Expression library
Name:      pcre
Version:   4.5
Release:   %{momorel}m
URL:       http://www.pcre.org/
%NoSource 0 ftp://ftp.csx.cam.ac.uk/pub/software/programming/pcre/%{name}-%{version}.tar.bz2 c51bd34197008b128046f0799d2242e4
License:   see "LICENCE"
Group:     System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
PCRE stands for the Perl Compatible Regular Expression library. It
contains routines to match text against regular expressions similar to
perl's. It also contains a POSIX compatibility library.

%package devel
Summary: Static library and header files for pcre development
Group:   Development/Libraries
Requires: %name = %{PACKAGE_VERSION}

%description devel
This package contains the pcre static libraries and header files
required to develop pcre-based applications.

%package -n pcregrep
Summary: Grep using Perl Compatible Regular Expressions
Group:   Applications/Text
Requires: pcre

%description -n pcregrep
pgrep is a grep workalike which uses perl-style regular expressions 
instead of POSIX regular expressions.

%prep

%setup -q

%build
libtoolize -c -f
aclocal
autoconf
%configure --enable-utf8
%make

%install
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}
%makeinstall DESTDIR=%{buildroot}
%__mkdir_p %{buildroot}/%{_lib}
%__mv %{buildroot}%{_libdir}/libpcre.so.* %{buildroot}/%{_lib}/
pushd %{buildroot}%{_libdir}
%__ln_s -f ../../%{_lib}/libpcre.so.0 libpcre.so
popd

%__chmod +x %{buildroot}%{_libdir}/lib*.so.*.*.*

# remove pcretest.
%__rm -f %{buildroot}%{_bindir}/pcretest
%__rm -f %{buildroot}%{_mandir}/man1/pcretest.1*

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL LICENCE NEWS README doc/Tech.Notes
/%{_lib}/*.so.*
%{_libdir}/lib*.so.*

%files devel
%defattr(-,root,root)
%{_bindir}/pcre-config
/usr/include/*
%{_libdir}/lib*.*a
%{_libdir}/lib*.so
%{_mandir}/man3/*

%files -n pcregrep
%defattr(-,root,root)
%{_bindir}/pcregrep
%{_mandir}/man1/pcregrep*


%changelog
* Thu Apr  7 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (4.5-5m)
- change man owner (root:man -> root:root)
- revised spec file

* Sun Jan 16 2005 Toru Hoshina <t@momonga-linux.org>
- (4.5-4m)
- enable x86_64.

* Thu Mar 25 2004 Toru Hoshina <t@momonga-linux.org>
- (4.5-3m)
- revised spec for rpm 4.2.
- still pcretest is not included.

* Thu Dec 18 2003 Ryu SASAOKA <ryu@momonga-linux.org>
- (4.5-2m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)

* Wed Dec 17 2003 YONEKAWA Susumu <yonekawa@mmg.roka.jp>
- (4.5-1m)
- updated to 4.5
- remove pcre-4.4-autoconf2.56-force.patch

* Fri Oct 24 2003 YONEKAWA Susumu <yonekawa@mmg.roka.jp>
- (4.4-3m)
- fix License: preamble

* Tue Sep 23 2003 YONEKAWA Susumu <yonekawa@mmg.roka.jp>
- (4.4-2m)
- change License tag: GPL -> "pcre"
  see LICENCE file
- libtoolize -c -f, aclocal, autoconf added
- add pcre-4.4-autoconf2.56-force.patch
  you installed autoconf-2.57 or higher, and you can remove this patch.

* Thu Aug 21 2003 YONEKAWA Susumu <yonekawa@mmg.roka.jp>
- (4.4-1m)
- update to 4.4
  There have been a lot of changes for the 4.0 release, see NEWS file
- use %%{momorel} macro
- use %%NoSource and Change URI to official home
- configure with --enable-utf8
- use %%make
- add AUTHORS, COPYING, INSTALL and NEWS in %%doc
- move %%{_mandir}/man3 from pcre to pcre-devel
- only include %%{_mandir}/man1/pcregrep*
  (pcretest is not included)

* Wed Aug  7 2002 KOMATSU Shinichiro <koma2@jiro.c.u-tokyo.ac.jp>
- (3.9-3m)
- move libpcre.so* to /lib (devel.ja:00304, devel.ja:00306)

* Sat Feb 23 2002 YAMAGUCHI Kenji <yamk@kondara.org>
- (3.9-2k)
- update to 3.9

* Mon Jan 28 2002 YAMAGUCHI Kenji <yamk@kondara.org>
- (3.7-2k)
- update to 3.7

* Thu Sep 27 2001 Toru Hoshina <t@kondara.org>
- (3.4-10k)
- rebuild against new environment.

* Sun Mar 25 2001 Motonobu Ichimura <famao@kondara.org>
- (3.4-5k)
- added *.so files to devel
- added *.la packages to devel

* Mon Mar 12 2001 YAMAGUCHI Kenji <yamk@sophiaworks.com>
- (3.4-3k)
- (RedHat contrib)
- Updated pcre-3.4
- renamed package pgrep -> pcregrep (at PCRE 3.3, see original Changelog)
- Kondarize.

* Sun Jul 30 2000 Arne Coucheron <arneco@online.no>
  [3.2-1]
- added a devel package
- added support for compiling in multiprocessor environment

* Fri Nov 05 1999 Arne Coucheron <arneco@online.no>
  [2.08-1]
- using name and version macros
- changed Group to comply with RH 6.x
- using make install
- using install -d instead of mkdir -p
- removing RPM_BUILD_ROOT before installing
- some changes in the files section

* Fri May 28 1999 Damien Miller <dmiller@ilogic.com.au>
- Built RPMs
